package com.ruoyi.bst.locationLog.domain;

import java.time.LocalDateTime;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class LocationLogQuery extends LocationLogVO {

    @ApiModelProperty("精准MAC")
    private String eqMac;

    @ApiModelProperty("id列表")
    private List<Long> ids;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
    
    @ApiModelProperty("时间范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private List<LocalDateTime> timeRange;

    @ApiModelProperty("订单ID列表")
    private List<Long> orderIds;
}
